## sayonara 0.9.3

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.7)
PROJECT("Sayonara Player")


SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")

IF( WITH_COTIRE )
    INCLUDE(cotire)
    MESSAGE("Compiling with Cotire")
ELSE()
    MESSAGE("Compiling without Cotire")
ENDIF()

SET(VAR_SAYONARA_VERSION "0.9.3")

SET(SAYONARA_VERSION "${VAR_SAYONARA_VERSION}")
SET(SAYONARA_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}")
SET(SAYONARA_INSTALL_LIB_PATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/sayonara/")
SET(SAYONARA_INSTALL_BIN_PATH "${CMAKE_INSTALL_PREFIX}/bin/")
SET(SAYONARA_INSTALL_SHARE_PATH "${CMAKE_INSTALL_PREFIX}/share/sayonara/")

CONFIGURE_FILE(Macros.h.in "${CMAKE_CURRENT_BINARY_DIR}/src/Helper/Macros.h" @ONLY)

MESSAGE("Build Sayonara ${VAR_SAYONARA_VERSION}")
MESSAGE("Will install to ${CMAKE_INSTALL_PREFIX}")

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(resources)

IF( WITH_TESTS )
	MESSAGE("Compiling with tests...")
	ENABLE_TESTING()
	ADD_SUBDIRECTORY(test)
ELSE()
	MESSAGE("Compiling without tests...")
	MESSAGE(" In order to change that, use -DWITH_TESTS=1")
ENDIF()

SET(CMAKE_SKIP_RPATH:BOOL ON)
SET(CMAKE_INSTALL_MANIFEST "install_manifest.txt")

IF(${UNIX})
	execute_process(COMMAND update-menus)
ENDIF(${UNIX})
