=== test/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(say_tests)
INCLUDE(${CMAKE_SOURCE_DIR}/src/compiler.cmake)

FIND_PACKAGE(Qt5 COMPONENTS Core Widgets Sql Network DBus Network Xml Test REQUIRED)

SET(CMAKE_AUTOMOC ON)
SET(CMAKE_AUTOUIC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

INCLUDE_DIRECTORIES(${Qt5Core_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Widgets_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Xml_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Sql_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5DBus_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Network_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Test_INCLUDE_DIRS})

ADD_DEFINITIONS(${Qt5Core_DEFINITIONS})
ADD_DEFINITIONS(${QT_DEFINITIONS})

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/test)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/test)

INCLUDE("new_test.cmake")
NEW_TEST(Helper/FileHelperTest.cpp)
NEW_TEST(Helper/MetaDataListTest.cpp)
NEW_TEST(Helper/LanguageKeyTest.cpp)
