=== src/3rdParty/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

ADD_SUBDIRECTORY(Soundcloud)
ADD_SUBDIRECTORY(SomaFM)
