=== src/Components/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(say_comp)

ADD_SUBDIRECTORY(Broadcasting)
ADD_SUBDIRECTORY(StreamPlugins)
ADD_SUBDIRECTORY(TagEdit)
ADD_SUBDIRECTORY(Playlist)
ADD_SUBDIRECTORY(Library)
ADD_SUBDIRECTORY(Covers)
ADD_SUBDIRECTORY(Lyrics)
ADD_SUBDIRECTORY(RemoteControl)

IF( NOT WIN32 OR NOT DEFINED WIN32 )
    ADD_SUBDIRECTORY(DBus)
ENDIF()

ADD_SUBDIRECTORY(Engine)
ADD_SUBDIRECTORY(PlayManager)
ADD_SUBDIRECTORY(Bookmarks)
ADD_SUBDIRECTORY(PlaylistChooser)

IF(${MTP_FOUND})
    ADD_SUBDIRECTORY(MTP)
ENDIF()
