=== src/GUI/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.7)
PROJECT(say_gui)

ADD_SUBDIRECTORY(Covers)
ADD_SUBDIRECTORY(DirectoryWidget)
ADD_SUBDIRECTORY(Helper)
ADD_SUBDIRECTORY(InfoDialog)
ADD_SUBDIRECTORY(Library)

IF(${MTP_FOUND})
    ADD_SUBDIRECTORY(MTP)
ENDIF()

ADD_SUBDIRECTORY(Player)
ADD_SUBDIRECTORY(Playlist)
ADD_SUBDIRECTORY(Preferences)
ADD_SUBDIRECTORY(Resources)
ADD_SUBDIRECTORY(ShutdownDialog)
ADD_SUBDIRECTORY(TagEdit)
ADD_SUBDIRECTORY(Plugins)
