=== src/Interfaces/CMakeLists.txt ===
PROJECT(say_interfaces)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

ADD_SUBDIRECTORY(Notification)
ADD_SUBDIRECTORY(LibraryInterface)
ADD_SUBDIRECTORY(PlayerPlugin)
ADD_SUBDIRECTORY(PreferenceDialog)
ADD_SUBDIRECTORY(RawSoundReceiver)
