=== debian/changelog ===
sayonara (0.9.3-0mx17+1) mx; urgency=medium

  * New release, build for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Sep 2017 14:34:39 -0700

sayonara (0.9.2-0ppa9-xenial1) xenial; urgency=low

  * Playlist: Bug fixed. Saved playlists aren't deleted anymore

 -- Lucio Carreras <luciocarreras@gmail.com>  Thu, 13 Oct 2016 17:39:52 +0200

sayonara (0.9.2-0ppa7-xenial1) xenial; urgency=low

  * LastFM: Scrobbling fixes
  * Library: Genre search fixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 10 Oct 2016 23:01:04 +0200

sayonara (0.9.2-0ppa6-xenial1) xenial; urgency=low

  * Engine: make pitch optional
  * Library: live search bug fixed
  * Library: smart database search
  * Library: Filesystem watcher (experimental)
  * Library: Merge artists
  * Library/Playlist: prefix/postfix search
  * Tagging: Ignore period character in genre view* 

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 09 Oct 2016 20:43:09 +0200

sayonara (0.9.2-0ppa5-xenial1) xenial; urgency=low

  * Fixed jumping bug in speed/pitch plugin
  * Fixed segfault in crossfader
  * Debian packaging

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 20 Sep 2016 17:41:58 +0200

sayonara (0.9.2-0ppa4-xenial1) xenial; urgency=low

  * Added gstreamer bad dependency again 

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 20 Sep 2016 08:39:45 +0200

sayonara (0.9.2-0ppa3-xenial1) xenial; urgency=low

  * Added gstreamer bad dependency 

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 20 Sep 2016 07:46:14 +0200

sayonara (0.9.2-0ppa2-xenial1) xenial; urgency=low

  * Version number update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 19 Sep 2016 23:21:11 +0200

sayonara (0.9.2-0ppa1-xenial1) xenial; urgency=low

  * Added pitch control support
  * Added speed control not affecting pitch
  * Added bookmarks for supporting podcasts
  * Added System tray icon on/off support
  * Fixed lyrics bug

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 19 Sep 2016 22:59:09 +0200

sayonara (0.9.1-0ppa4-xenial1) xenial; urgency=low

  * CMake dependency update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 13 Sep 2016 22:26:21 +0200

sayonara (0.9.1-0ppa3-xenial1) xenial; urgency=low

  * Language update
  * Fixed bug in Alternative cover searcher
  * No disabled tracks are allowed to be stored in DB

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 13 Sep 2016 21:44:22 +0200

sayonara (0.9.1-0ppa2-xenial1) xenial; urgency=low

  * old ubuntu package fixes 

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 13 Sep 2016 00:25:03 +0200

sayonara (0.9.1-0ppa1-xenial1) xenial; urgency=low

  * Added cover from ID3 tag support
  * Crossfader support
  * Faster spectrum analyzer
  * Drag/Drop in Soma.fm
  * Favorite support in Soma.fm
  * Enhanced Library Disc selection
  * Open Files/Directories from playlist tab 
  * Rating in playlist
  * Show last played tracks of webstreams
  * Last.fm scrobbling time
  * Ability to revert default equalizer presets
  * More actions in directory view
  * New rating icons
  * various skin changes
  * Language update (especially spanish)
  * Lots of Bug fixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 13 Sep 2016 00:09:21 +0200

sayonara (0.9.0-0ppa4-xenial1) xenial; urgency=low

  * broken layout fix for manjaro and maybe other distributions 

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 07 Jun 2016 23:32:44 +0200

sayonara (0.9.0-0ppa3-xenial1) xenial; urgency=low

  * Czech and polish language update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 06 Jun 2016 23:05:00 +0200

sayonara (0.9.0-0ppa2-xenial1) xenial; urgency=low

  * Language update, including new polish translations 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 16 May 2016 12:34:29 +0200

sayonara (0.9.0-0ppa1-xenial1) xenial; urgency=low

  * Added Soma.FM plugin
  * Fixed Soundcloud data information fields
  * Fixed Library import paths
  * Fixed Stream recorder non-writable path issues

 -- Lucio Carreras <luciocarreras@gmail.com>  Sat, 14 May 2016 23:07:30 +0200

sayonara (0.8.3-0ppa5-xenial1) xenial; urgency=low

  * fix fatal playback bug

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 10 May 2016 01:56:12 +0200

sayonara (0.8.3-0ppa4-xenial1) xenial; urgency=low

  * Soundcloud artist search fixed (again)
  * Language updates

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 09 May 2016 21:39:59 +0200

sayonara (0.8.3-0ppa2-xenial1) xenial; urgency=low

  * Soundcloud artist search fixed
  * Library header view fixed
  * Compile errors fixed
  * KDE closing issue fixed

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 01 May 2016 20:48:43 +0200

sayonara (0.8.3-0ppa1-xenial1) xenial; urgency=low

  * Faster library reload 
  * Global preference dialog
  * Library-Playlist interaction options
  * Start player in minimized mode
  * Advanced font configuration
  * Shortcut options
  * Playlist look options
  * Context menu in directory view

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 24 Apr 2016 20:49:51 +0200

sayonara (0.8.2-0ppa10-xenial1) xenial; urgency=low

  * Xenial release 

 -- Lucio Carreras <luciocarreras@gmail.com>  Thu, 21 Apr 2016 16:59:52 +0200

sayonara (0.8.2-0ppa9-xenial1) xenial; urgency=low

  * Czech language update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Fri, 26 Feb 2016 22:33:18 +0100

sayonara (0.8.2-0ppa8-xenial1) xenial; urgency=low

  * Language update

 -- Lucio Carreras <luciocarreras@gmail.com>  Fri, 19 Feb 2016 22:45:42 +0100

sayonara (0.8.2-0ppa5-xenial1) xenial; urgency=low

  * Language update

 -- Lucio Carreras <luciocarreras@gmail.com>  Thu, 18 Feb 2016 17:25:48 +0100

sayonara (0.8.2-0ppa4-xenial1) xenial; urgency=low

  * Tag editor style update
  * Various playlist fixes
  * Enhanced Webstreams/Podcasts usability
  * Moved genre updates into new thread
  * Gapless playback is more relyable
  * Moved library plugin menus to menubar
  * Native skin more 'native'

