=== src/GUI/CMakeLists.txt ===
project(say_gui)

add_subdirectory(Covers)
add_subdirectory(Directories)
add_subdirectory(InfoDialog)
add_subdirectory(Library)
add_subdirectory(Player)
add_subdirectory(Playlist)
add_subdirectory(Plugins)
add_subdirectory(Preferences)
add_subdirectory(Resources)
add_subdirectory(ShutdownDialog)
add_subdirectory(TagEdit)
add_subdirectory(Utils)
add_subdirectory(ImportDialog)
