=== src/Interfaces/CMakeLists.txt ===
project(say_interfaces)

add_subdirectory(Notification)
add_subdirectory(LibraryInterface)
add_subdirectory(PlayerPlugin)
add_subdirectory(PreferenceDialog)
add_subdirectory(RawSoundReceiver)
