=== src/3rdParty/Soundcloud/CMakeLists.txt ===
project(sayonara_soundcloud)

file(GLOB_RECURSE SOURCES . *.cpp)
file(GLOB_RECURSE RAW_UI_FILES . *.ui)
set(RESOURCES
	SoundcloudIcons.qrc
)

qt5_wrap_ui(UI_FILES ${RAW_UI_FILES})
qt5_add_resources(RESOURCES_RCC ${RESOURCES})

if(WIN32)
	add_library(${PROJECT_NAME} STATIC ${SOURCES} ${UI_FILES} ${RESOURCES_RCC})
	set(SOUNDCLOUD_INSTALL_PATH
		"share"
	)
else()
	add_library(${PROJECT_NAME} SHARED ${SOURCES} ${UI_FILES} ${RESOURCES_RCC})
	set(SOUNDCLOUD_INSTALL_PATH
		"share/sayonara"
	)

endif()

target_link_libraries(${PROJECT_NAME}
	say_db
	say_gui_utils
	say_gui_library
	say_interfaces_library_container
)

if( WITH_COTIRE )
    cotire(${PROJECT_NAME})
endif()

if(NOT WIN32 OR NOT DEFINED WIN32)
	install(TARGETS ${PROJECT_NAME} DESTINATION lib${LIB_SUFFIX}/sayonara)
endif()

install(FILES "soundcloud.db" DESTINATION ${SOUNDCLOUD_INSTALL_PATH})
