=== src/Components/Bookmarks/CMakeLists.txt ===
project(say_comp_bookmarks)

file(GLOB_RECURSE SOURCES . *.cpp)

add_library(${PROJECT_NAME} STATIC ${SOURCES})
target_link_libraries(${PROJECT_NAME}
	say_db
	say_comp_playmanager
)
