=== debian/changelog ===
sayonara (1.1.1+git20180905-0.1~mx17+1) mx; urgency=medium

  * New upstream git pull, build for MX 17.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Feb 2019 12:21:52 -0800

sayonara (1.1.1-0ppa4-xenial1) xenial; urgency=low

  * Genre selection: artist view fixed 

 -- Lucio Carreras <luciocarreras@gmail.com>  Wed, 05 Sep 2018 22:17:01 +0200

sayonara (1.1.1-0ppa3-xenial1) xenial; urgency=low

  * Tray icon bug fixed 

 -- Lucio Carreras <luciocarreras@gmail.com>  Thu, 30 Aug 2018 14:45:25 +0200

sayonara (1.1.1-0ppa2-xenial1) xenial; urgency=low

  * Czech and French language updates
  * Notify new version bugfix
  * Multi instance bugfix

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 28 Aug 2018 07:35:25 +0200

sayonara (1.1.1-0ppa1-xenial1) xenial; urgency=low

  * User Interface: Show a big cover and Rating
  * Cover View: Show artists
  * Cover View: Sort by artists
  * Cover View: Toolbar enhancements
  * Cover View: Caching
  * Covers: Enhanced cover search
  * Covers: Use more covers from audio files
  * Library: Deleting/Adding new libraries bugfixes
  * Library: Search mode fixes
  * Crossfader/Gapless playback accessibility
  * Shortcut for switching to album cover view
  * Shortcut for switching show album artists
  * Shortcut for showing/hiding the library
  * Playlist: Show Rating
  * Playlist: Show little covers
  * Playlist: Number, Title, Artist and Album customizable
  * Playlist Chooser bugfixes
  * Playlist View bugfixes
  * Tag Editor: Save/Load comments
  * Crossfader/Gapless Playback: Easier access through the playlist window
  * Stream Recorder: Automatic recording
  * Stream Recorder: More sophisticated path templates
  * Stream Recorder: Path templates fixed
  * Database: Encrypted passwords
  * Lyrics: Save/Load from Audio file
  * Languages: Use transifex.com for translations
  * Languages: Japanese and Arabic added
  * And a lot of bug fixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 26 Aug 2018 18:47:34 +0200

sayonara (1.1.0-0ppa1-xenial1) xenial; urgency=low

  * Cover Cache in DB
  * Ui Improvements

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 26 Aug 2018 18:10:17 +0200

sayonara (1.0.0-0ppa6-xenial1) xenial; urgency=low

  * Stream recorder date fixes
  * Unity menubar workaround
  * Playlist format string (nr tag) fixed
  * Broadcasting progress (maybe not fixed entirely)
  * French language update
  * DBus fixed

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 15 Jan 2018 01:43:16 +0100

sayonara (1.0.0-0ppa5-xenial1) xenial; urgency=low

  * Switch between Alsa and Pulseaudio
  * Unity menu fixes
  * Shortcuts for minimize and quit

 -- Lucio Carreras <luciocarreras@gmail.com>  Fri, 12 Jan 2018 22:31:06 +0100

sayonara (1.0.0-0ppa4-xenial1) xenial; urgency=low

  * Turkish language support
  * Ape support

 -- Lucio Carreras <luciocarreras@gmail.com>  Sat, 06 Jan 2018 12:36:15 +0100

sayonara (1.0.0-0ppa3-xenial1) xenial; urgency=low

  * Czech, russian and ukrainian language updates
  * compilation fixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Fri, 05 Jan 2018 20:20:37 +0100

sayonara (1.0.0-0ppa2-xenial1) xenial; urgency=low

  * library view fixes
  * cover view crash removed

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 31 Dec 2017 14:04:07 +0100

sayonara (1.0.0-0ppa1-xenial1) xenial; urgency=low

  * Covers: Choose between Google, Discogs and Last.fm covers
  * Cover view: Reload covers, zoom and sorting
  * Directories: Multiple library support
  * Directories: Move/Copy/Rename operations
  * Directories: Show Song info
  * Library: Multiple library support
  * Library: Removed date filter support
  * Library: "Clear selection" button
  * Library: Bugfix: Search modes immediatly updated
  * Look & Feel: Choose system icons
  * Look & Feel: Fast preference access
  * Lyrics: Lyric server updates
  * MTP: Removed MTP device support
  * Playback: Crossfader revisited
  * Playlists: Moved load/save to playlist tabs instead of plugin
  * Proxy: Added proxy support
  * Stream recorder: Custom paths
  * Streams/Podcast: Added preferences

 -- Lucio Carreras <luciocarreras@gmail.com>  Sat, 30 Dec 2017 12:09:50 +0100

sayonara (0.9.3-0ppa5-xenial1) xenial; urgency=low

  * Ubuntu xenial package

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 05 Nov 2017 13:37:48 +0100

sayonara (0.9.3-0ppa4-xenial1) xenial; urgency=low

  * Language Update
  * Faster library cover view

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 09 May 2017 18:55:26 +0200

sayonara (0.9.3-0ppa3-xenial1) xenial; urgency=low

  * Date config fixes
  * Genre tree view fix
  * Language update

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 02 May 2017 12:03:32 +0200

sayonara (0.9.3-0ppa2-xenial1) xenial; urgency=low

  * git version update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 01 May 2017 23:02:37 +0200

sayonara (0.9.3-0ppa1-xenial1) xenial; urgency=low

  * Library: Album artist view
  * Library: Date view
  * Playlist: Delete button in playlist
  * Playlist: Optional clear button
  * Stream Recorder: Automatic recording
  * Streams: Remember streams in playlist
  * Streams: Parse websites
  * Streams: Split title and artist
  * Lyrics: Zoom
  * Lyrics: Remember last server
  * Lyrics: More elaborated search
  * Covers: Add discogs and last.fm cover searcher
  * Genres: Switch between tree and list view
  * Genres: Delete genre from tracks
  * Tagging: Supporting covers, album artist and rating in FLAC and ogg files
  * Player: Logging window 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 01 May 2017 22:29:47 +0200

sayonara (0.9.2-0ppa13-xenial1) xenial; urgency=low

  * Zesty release 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 17 Apr 2017 16:04:52 +0200

sayonara (0.9.2-0ppa12-xenial1) xenial; urgency=low

  * track creation/modify dates of tracks

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 30 Oct 2016 12:17:57 +0100


