=== debian/control ===
--- 
+++ 
@@ -2,19 +2,17 @@
 Section: sound
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Lucio Carreras <luciocarreras@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9),
                libgstreamer-plugins-bad1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libmtp-dev,
                libtag1-dev,
                pkg-config,
-               qtbase5-dev (>= 5.3),
-               qttools5-dev (>= 5.3),
-               qttools5-dev-tools (>= 5.3),
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools,
                zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://sayonara-player.com
@@ -27,10 +25,12 @@
          libqt5sql5-sqlite,
          ${misc:Depends},
          ${shlibs:Depends}
-Description: Small and lightweight music player.
- Sayonara is as a lightweight and fast library manager and music player.
- It holds a lot of features like
- Many supported music and playlist formats
+Description: small and lightweight music player with modern interface
+ Sayonara is a lightweight and fast music library manager and player.
+ .
+ It supports many features such as:
+ .
+ All major music and playlist formats
  Media library with search function
  Directory view
  External device support
